<?php
// интерфейс торговли пользователя
$torg=get_torg($user['locatid'], $user['coord']);

if(!$torg){mset_err("Торговец недоступен в данной точке!");header("Location: ?l=locat");exit;}

$_SESSION['title']="Торговец $torg[name] ";
heads($headers_page, $set_ob_start);   //подключение шапки
include_once SYS."/navmenu.php";
include_once SYS."/torg.st";
//
$ico=M."/img/torg/$torg[ico]";
$rand=rand(1000,9999);
echo "<div class='aselobj'><img src='$ico?$rand' alt='$torg[name]' width='64px' /></div>";
//
if(isset($_GET['mode']))
{
$mode=abs(intval($_GET['mode']));
}else{$mode=0;}

// Создание меню
$menus=array(0=>"Купить",1=>"Продать");
echo "<div class='aselobj'>";
for($i=0;$i<=(count($menus)-1);$i++)
{
if($i==$mode){echo "<b><font color='red'> ".$menus[$i]."</font></b>";}else{echo "<a href='?l=utorg&mode=$i''> ".$menus[$i]."</a>";}
}
echo "</div>"; unset($menus);
//

if($mode==0) // Купить 
{
include_once SYS."/utorgbuy.st";
// Добавить пересчет общей массы
}
//
if($mode==1)  // Продать
{
include_once SYS."/utorgsell.st";
// Добавить пересчет общей массы
}
?>